Subject: bug#60562: [PATCH] Fix split-string error if there is a space in the filename.

From: Robert Pluim <[email-masked]>
Date: Sat, 07 Jan 2023 12:16:55 +0100

>>>>> On Sat, 07 Jan 2023 11:29:58 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> Right.  Would you like to rewrite the patch using
    Eli> directory-files-recursively?

I donʼt have time for that at the moment, unfortunately

    >> (which is annoyingly
    >> hard to remember, since the obvious search leads to
    >> `list-directory'. Perhaps we should add `list-directory-recursively'
    >> as an alias?)

    Eli> How did you search for it?

I use helm, which does subword searching, so

C-h f list dir

since "Iʼm trying to list the contents of a directory, the verb is
'list', the object is 'directory'"

If Iʼd done 'dir files' instead I would have gotten there
quicker. (the same process with 'i' in the elisp info manual leads to
similar results).

Robert
--